package org.wso2.carbon.device.mgt.ios.payload.beans;

import java.util.List;

public class ActionParameter {

    private List<String> domains;
    private DomainAction domainAction;
    private List<String> requiredDNSServers;
    private String requiredURLStringProbe;

    public List<String> getDomains() {
        return domains;
    }

    public void setDomains(List<String> domains) {
        this.domains = domains;
    }

    public DomainAction getDomainAction() {
        return domainAction;
    }

    public void setDomainAction(DomainAction domainAction) {
        this.domainAction = domainAction;
    }

    public List<String> getRequiredDNSServers() {
        return requiredDNSServers;
    }

    public void setRequiredDNSServers(List<String> requiredDNSServers) {
        this.requiredDNSServers = requiredDNSServers;
    }

    public String getRequiredURLStringProbe() {
        return requiredURLStringProbe;
    }

    public void setRequiredURLStringProbe(String requiredURLStringProbe) {
        this.requiredURLStringProbe = requiredURLStringProbe;
    }
}
